classdef SCDalgo_liuqe_test < matlab.unittest.TestCase
  
  methods (Test)
    function test_compile(testCase)
      %%
      SCDconf_setSIMconf;
       
      algoobj = SCDalgo_liuqe_obj;
      algoobj.callinits; % calls inits defining fixed parameters etc
      algoobj.setup; % calls possible tunable parameters
      
      shot = 61400; t = 0:1e-3:1;
      Lcall = algoobj.getinits{2}{1};
      L = Lcall(algoobj);
      assignin('base','LX',liuxtcv(shot,t,L));
      liuqeLXBus;
      
      modelname = algoobj.getname;
      try
        eval(sprintf('%s([],[],[],''compile'')',modelname));
      catch
        eval(sprintf('%s([],[],[],''term'')',modelname));
      end
      eval(sprintf('%s([],[],[],''term'')',modelname));

      sim(modelname)
      %%
    end
  end
  
end